---
title: RTCIceServer.username
slug: Web/API/RTCIceServer/username
tags:
  - Experimental
  - Property
  - RTCIceServer
  - Reference
  - WebRTC
  - username
---
<p>{{APIRef("WebRTC")}}</p>

<p>{{draft("I'm experimenting with structure for pages documenting members of dictionaries. Please contact ~~sheppy with any feedback.")}}</p>

<p>{{SeeCompatTable}}</p>

<p>The {{domxref("RTCIceServer")}} dictionary's <strong><code>username</code></strong> property is a string which specifies the username to use when authenticating with the {{Glossary("ICE")}} server being described.</p>

<div class="note">
<p>This value is used when the <code>RTCIceServer</code> describes a {{Glossary("TURN")}} server.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var iceServer = {
                  ...
                  username = <em>username</em>,
                  ...
                };

var <em>username</em> = <em>iceServer</em>.username;

<em>iceServer</em>.username = <em>newUsername</em>;</pre>

<h2 id="Example">Example</h2>

<p>This example creates a new {{domxref("RTCPeerConnection")}} which will use a {{Glossary("TURN")}} server at <code>turnserver.example.org</code> to negotiate connections. Logging into the TURN server will use the username "webrtc" and the creative password "turnpassword".</p>

<pre class="brush: js">myPeerConnection = new RTCPeerConnection({
  iceServers: [
    {
      urls: "turn:turnserver.example.org",  // A TURN server
      username: "webrtc",
      credential: "turnpassword"
    }
  ]
});</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{ SpecName('WebRTC 1.0', '#dom-rtciceserver-username', 'RTCIceServer.username') }}</td>
   <td>{{ Spec2('WebRTC 1.0') }}</td>
   <td>Initial specification.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCIceServer.username")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("RTCIceServer")}}</li>
 <li>{{domxref("RTCIceServer.credential")}}</li>
 <li>{{domxref("RTCIceServer.credentialType")}}</li>
</ul>
